#!/usr/bin/env python3
"""Dummy application to emit syslog messages."""
import syslog
from time import sleep
from random import choice


if __name__ == "__main__":
    LOG_LEVELS = [
        syslog.LOG_DEBUG,
        syslog.LOG_INFO,
        syslog.LOG_NOTICE,
        syslog.LOG_WARNING,
        syslog.LOG_ERR,
        syslog.LOG_CRIT,
        syslog.LOG_ALERT,
        syslog.LOG_EMERG,
    ]

    counter = 0
    while True:
        log_level = choice(LOG_LEVELS)
        syslog.syslog(log_level, f"Log message {counter} with severity {log_level}")
        counter += 1
        sleep(1)
